maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dale Wyttenbach <wyt...@cs.umn.edu>
Subject M1.1-beta-1: StackOverflowError in jelly expression evaluation
Date Wed, 22 Jun 2005 19:43:52 GMT
Hi,

I tried upgrading from maven 1.0.2 to maven-1.1-beta-1
and immediately started getting StackOverflowError.

To recreate the problem, create a tiny maven project
as follows, and run the default goal:

maven.xml:
<project default="default">

    <goal name="default">
       
<echo>yonder.cert.file=${yonder.cert.file}</echo>
       
<echo>yonder.dirt.file=${yonder.dirt.file}</echo>
    </goal>

</project>

project.properties:
yonder.cert.file.dir=C:
yonder.backend=fqdn.com
yonder.application=strawman

# eval of the following expr yields StackOverflowError
yonder.cert.file=${yonder.cert.file.dir}/${yonder.backend}-${yonder.application}.p12

# following eval works
#yonder.dirt.file=${yonder.cert.file.dir}/${yonder.backend}-${yonder.application}.p12

# StackOverflowError occurs in and around the
following method:
#org.apache.commons.jelly.expression.CompositeExpression#evaluateAsString(JellyContext
context)

If this is a bug, I'm not sure if it belongs to
commons-jelly or maven.  Thanks for any help you can
provide.

Dale


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message